SystemOrganization addCategory: 'ConfigurationOfOrbeonFormProcessWeb'!

BaselineOf subclass: #BaselineOfOrbeonFormProcessWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonFormProcessWeb'!

!BaselineOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:25'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonLDAP'
         with: [ spec
					 className: 'ConfigurationOfOrbeonLDAP';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonLDAP';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonBizagiReader'
         with: [ spec
					 className: 'ConfigurationOfOrbeonBizagiReader';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonBizagiReader';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'Sewaf'
         with: [ spec
					 className: 'ConfigurationOfSewaf';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfSewaf';
					 repository: 'http://ss3.gemtalksystems.com/ss/Sewaf' ].

		spec 
			package: 'OrbeonFormProcessWeb-BrunoBB' with: [spec requires: #('OrbeonFormProcess' 'OrbeonLDAP' 'OrbeonBizagiReader' 'Sewaf')];
			package: 'OrbeonFormProcessBackofficeWeb-BrunoBB' with: [spec requires: #('OrbeonFormProcess' 'OrbeonLDAP' 'OrbeonBizagiReader' 'Sewaf')]. ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonFormProcessWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonFormProcessWeb'!

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:53'!
baseline0100: spec
	<version: '0.100-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/Orbeon'.
		spec project: 'OrbeonFormProcess' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeonFormProcess';
				file: 'ConfigurationOfOrbeonFormProcess';
				loads: #('ALL')].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/Orbeon'].

		spec project: 'OrbeonBizagiReader' with: [
			spec className: 'ConfigurationOfOrbeonBizagiReader';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfOrbeonBizagiReader';
				repository: 'http://ss3.gemtalksystems.com/ss/Orbeon'].

		spec project: 'Sewaf' with: [
			spec className: 'ConfigurationOfSewaf';
				versionString: #stable;
				loads: #('ALL');
				file: 'ConfigurationOfSewaf';
				repository: 'http://ss3.gemtalksystems.com/ss/SEWAF'].
		spec 
			package: 'OrbeonFormProcessWeb2' with: [spec requires: #('OrbeonFormProcess' 'OrbeonLDAP' 'OrbeonBizagiReader' 'Sewaf')];
			package: 'OrbeonFormProcessBackofficeWeb2' with: [spec requires: #('OrbeonFormProcess' 'OrbeonLDAP' 'OrbeonBizagiReader' 'Sewaf')].
	].! !

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:51'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.100-baseline'.! !

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:51'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:51'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.100'.! !

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:54'!
version0100: spec
	<version: '0.100' imports: #('0.100-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'OrbeonFormProcess' with: '0.743'.
		spec project: 'OrbeonLDAP' with:'0.008'.
		spec project: 'Sewaf' with:'0.939'.
		spec project: 'OrbeonBizagiReader' with:'0.063'.

		spec package: 'OrbeonFormProcessWeb2' with: 'OrbeonFormProcessWeb2-BrunoBB.50'.
		spec package: 'OrbeonFormProcessBackofficeWeb2' with: 'OrbeonFormProcessBackofficeWeb2.37'.
		spec package: 'OrbeonRestServices' with: 'OrbeonRestServices-BrunoBB.170'.
	]! !

!ConfigurationOfOrbeonFormProcessWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:49'!
versionNumberClass
     ^MetacelloVersionNumber! !
